Subject: Re: bug#14580: 24.3; docview-mode doesn't work for multi-page pdf in 24.3

From: Neal Becker <[email-masked]>
Date: Tue, 11 Jun 2013 08:04:33 -0400

When using gs to convert, I do get 3 _different_ png files.

Using docview, it's really weird.  I hit 'g', and answer 'yes'.  As I page
through, it says pages 1/3 ... 3/3, but it displays _the same image for all
3 pages!!_.  I tried repeatedly killing buffer, visiting, hitting 'g' to
reload - nothing I tried seems to fix it.

On Tue, Jun 11, 2013 at 2:33 AM, Tassilo Horn <[email-masked]> wrote:

> Neal Becker <[email-masked]> writes:
>
> Hi Neal,
>
> > Also, these are not some special files from XeTeX.  I'm using
> > matplotlib,
>
> I've tried opening your sample PDF about a dozen times using emacs 24.3
> as well as the current emacs trunk, each version both with -Q and with
> my customizations.  In all cases, the PDF had 3 pages...
>
> > and it seems to happen something like 50% of the time.
>
> One thing that might explain parts of your problem: when you open the
> file initially and then something fails and only the first page is
> converted, then any subsequent opening of the file will only access the
> single cached image without checking if the PDF has actually more pages
> than there are images already.  To force a reconversion, you can hit `g'
> in the doc-view buffer.
>
> But still, if ghostscript or mupdf error when converting a document, you
> should at least get some message like "ghostscript terminated with exit
> code XX"...
>
> Not sure, but maybe it's a problem with your ghostscript or mupdf
> version.  What's the value of `doc-view-pdf->png-converter-function'?
> If it is `doc-view-pdf->png-converter-mupdf', then try
>
>   $ mudraw -o doc%d.png doc.pdf
>
> on the command line.
>
> If it is `doc-view-pdf->png-converter-ghostscript', then try
>
>   $ gs -dSAFER -dNOPAUSE -sDEVICE=png16m -dTextAlphaBits=4 \
>        -dBATCH -dGraphicsAlphaBits=4 -dQUIET -sOutputFile=doc%d.png \
>        doc.pdf
>
> Does that produce one image per page in the PDF, i.e., 3 images for your
> sample file?
>
> Bye,
> Tassilo
>